use crate::*;

pub async fn runtime_info(data: Data) -> () {
	let api = data.client();

	// certifications
	let cert_period = api
		.constants()
		.at(&runtime::constants().cert().cert_period())
		.unwrap();
	let max_by_issuer = api
		.constants()
		.at(&runtime::constants().cert().max_by_issuer())
		.unwrap();
	let validity_period = api
		.constants()
		.at(&runtime::constants().cert().validity_period())
		.unwrap();

	println!("certification period: {cert_period} blocks");
	println!("max certs by issuer: {max_by_issuer}");
	println!("certification validity: {validity_period} blocks");

	// account
	let new_account_price = api
		.constants()
		.at(&runtime::constants().account().new_account_price())
		.unwrap();
	// balances
	let existential_deposit = api
		.constants()
		.at(&runtime::constants().balances().existential_deposit())
		.unwrap();

	println!(
		"new account price: {}",
		data.format_balance(new_account_price)
	);
	println!(
		"existential deposit: {}",
		data.format_balance(existential_deposit)
	);
}
